package cn.hmsoft.frame.data.model;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 系统表-民族定义
* @author: zxq
* @date: 2018-07-19 11:35:13
* @version: 5.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "FRAME_NATION", keyColumn =  "NATION_ID" , sequenceName = "")
public class FrameNation implements Serializable{
	private static final long serialVersionUID = 4883779546994220575L;
	//内部编号
	private Integer nation_id;
	//民族名称
	private String nation_name;
	//民族编号（罗马编号）
	private String rome_code;
	//民族编号（英文编号）
	private String char_code;

	/****
	 * 内部编号
	 */
	public Integer getNation_id() {
		return this.nation_id;
	}

	/****
	 * 内部编号
	 */
	public void setNation_id(Integer nation_id) {
		this.nation_id = nation_id;
	}

	/****
	 * 民族名称
	 */
	public String getNation_name() {
		return this.nation_name;
	}

	/****
	 * 民族名称
	 */
	public void setNation_name(String nation_name) {
		this.nation_name = nation_name;
	}

	/****
	 * 民族编号（罗马编号）
	 */
	public String getRome_code() {
		return this.rome_code;
	}

	/****
	 * 民族编号（罗马编号）
	 */
	public void setRome_code(String rome_code) {
		this.rome_code = rome_code;
	}

	/****
	 * 民族编号（英文编号）
	 */
	public String getChar_code() {
		return this.char_code;
	}

	/****
	 * 民族编号（英文编号）
	 */
	public void setChar_code(String char_code) {
		this.char_code = char_code;
	}


}